Last Comment Bug 669822 - [TI] Permaorange on Linux64 opt SpiderMonkey warnings-as-errors - testConvertibleObjectEqUndefined.js:29: Error: Assertion failed:
: [TI] Permaorange on Linux64 opt SpiderMonkey warnings-as-errors - testConvert...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: general
:
Mentors:
Depends on: 669899
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-07-06 22:25 PDT by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor) 2011-07-06 22:25:29 PDT
This failure looks really familiar, so I think there might be someone who knows something about it, but I can't remember who or when.

http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1310006206.1310007739.22805.gz

TEST-PASS | jit_test.py -m -j -p -n    | /builds/slave/tm-lnx64-spidermonkey-warnaserr/src/js/src/jit-test/tests/basic/testConvertibleObjectEqUndefined.js
TEST-UNEXPECTED-FAIL | jit_test.py -a -m -n       | /builds/slave/tm-lnx64-spidermonkey-warnaserr/src/js/src/jit-test/tests/basic/testConvertibleObjectEqUndefined.js: /builds/slave/tm-lnx64-spidermonkey-warnaserr/src/js/src/jit-test/tests/basic/testConvertibleObjectEqUndefined.js:29: Error: Assertion failed: got "falsetruefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalse20", expected "falsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalse20"
TEST-UNEXPECTED-FAIL | jit_test.py -a -m -j -n    | /builds/slave/tm-lnx64-spidermonkey-warnaserr/src/js/src/jit-test/tests/basic/testConvertibleObjectEqUndefined.js: /builds/slave/tm-lnx64-spidermonkey-warnaserr/src/js/src/jit-test/tests/basic/testConvertibleObjectEqUndefined.js:29: Error: Assertion failed: got "falsetruefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalse20", expected "falsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalse20"
TEST-UNEXPECTED-FAIL | jit_test.py -a -m -j -p -n | /builds/slave/tm-lnx64-spidermonkey-warnaserr/src/js/src/jit-test/tests/basic/testConvertibleObjectEqUndefined.js: /builds/slave/tm-lnx64-spidermonkey-warnaserr/src/js/src/jit-test/tests/basic/testConvertibleObjectEqUndefined.js:29: Error: Assertion failed: got "falsetruefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalse20", expected "falsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalse20"
TEST-UNEXPECTED-FAIL | jit_test.py -a -m -d -n    | /builds/slave/tm-lnx64-spidermonkey-warnaserr/src/js/src/jit-test/tests/basic/testConvertibleObjectEqUndefined.js: /builds/slave/tm-lnx64-spidermonkey-warnaserr/src/js/src/jit-test/tests/basic/testConvertibleObjectEqUndefined.js:29: Error: Assertion failed: got "falsetruefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalse20", expected "falsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalsefalse20"
Comment 1 Brian Hackett (:bhackett) 2011-07-07 07:00:30 PDT
This problem was on Linux64 OPT JM for a while until we changed the GCC version to match that used in the TM tree.  IIRC it was a compiler bug in GCC 4.3 or so.  Is this the compiler version used in the warnings-as-errors build?
Comment 2 Makoto Kato [:m_kato] (PTO 9/22-9/25) 2011-07-07 08:24:45 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1310050152.1310051999.11348.gz
tracemonkey_linux64_spidermonkey-warnaserr on 2011/07/07 07:49:12
Comment 3 Phil Ringnalda (:philor) 2011-09-06 12:28:17 PDT
Fixed by bug 669899

Note You need to log in before you can comment on or make changes to this bug.